from metadata.sdk import configurefrom metadata.sdk.entities import Domainsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDdomain = Domains.retrieve("a0729e98-e946-4e25-acde-10e8a2294ba1")print(f"{domain.fullyQualifiedName.root}: {domain.domainType}")# Get by ID with fieldsdomain = Domains.retrieve( "a0729e98-e946-4e25-acde-10e8a2294ba1", fields=["owners", "children", "experts"])# Get by fully qualified namedomain = Domains.retrieve_by_name("TestDomain")# Get by name with fieldsdomain = Domains.retrieve_by_name( "TestDomain", fields=["owners", "children", "experts"])
// client is an initialized OpenMetadataClient.var domain = client.domains().get("a0729e98-e946-4e25-acde-10e8a2294ba1");// Get by ID with fieldsvar domainWithFields = client.domains().get( "a0729e98-e946-4e25-acde-10e8a2294ba1", "owners,children,experts");// Get by fully qualified namevar domainByName = client.domains().getByName("TestDomain");// Get by name with fieldsvar domainByNameWithFields = client.domains().getByName( "TestDomain", "owners,children,experts");
# Get by IDcurl "{base_url}/api/v1/domains/a0729e98-e946-4e25-acde-10e8a2294ba1" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/domains/a0729e98-e946-4e25-acde-10e8a2294ba1?fields=owners,children,experts" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/domains/name/TestDomain" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/domains/name/TestDomain?fields=owners,children,experts" \ -H "Authorization: Bearer {access_token}"
Retrieve a domain by UUID or fully qualified name with optional field expansion for data products, owners, and related entities using the Collate REST API.
GET
/
v1
/
domains
/
{id}
GET /v1/domains/{id}
from metadata.sdk import configurefrom metadata.sdk.entities import Domainsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDdomain = Domains.retrieve("a0729e98-e946-4e25-acde-10e8a2294ba1")print(f"{domain.fullyQualifiedName.root}: {domain.domainType}")# Get by ID with fieldsdomain = Domains.retrieve( "a0729e98-e946-4e25-acde-10e8a2294ba1", fields=["owners", "children", "experts"])# Get by fully qualified namedomain = Domains.retrieve_by_name("TestDomain")# Get by name with fieldsdomain = Domains.retrieve_by_name( "TestDomain", fields=["owners", "children", "experts"])
// client is an initialized OpenMetadataClient.var domain = client.domains().get("a0729e98-e946-4e25-acde-10e8a2294ba1");// Get by ID with fieldsvar domainWithFields = client.domains().get( "a0729e98-e946-4e25-acde-10e8a2294ba1", "owners,children,experts");// Get by fully qualified namevar domainByName = client.domains().getByName("TestDomain");// Get by name with fieldsvar domainByNameWithFields = client.domains().getByName( "TestDomain", "owners,children,experts");
# Get by IDcurl "{base_url}/api/v1/domains/a0729e98-e946-4e25-acde-10e8a2294ba1" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/domains/a0729e98-e946-4e25-acde-10e8a2294ba1?fields=owners,children,experts" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/domains/name/TestDomain" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/domains/name/TestDomain?fields=owners,children,experts" \ -H "Authorization: Bearer {access_token}"
Get a single domain by its unique ID or fully qualified name.
Get by ID
string
required
UUID of the domain to retrieve.
string
Comma-separated list of fields to include, for example owners,children,experts.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
Get by Fully Qualified Name
Use GET /v1/domains/name/{fqn} to retrieve by fully qualified name.
string
required
Fully qualified name of the domain, for example TestDomain or Engineering.DataPlatform.
string
Comma-separated list of fields to include: owners, children, experts.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
GET /v1/domains/{id}
from metadata.sdk import configurefrom metadata.sdk.entities import Domainsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDdomain = Domains.retrieve("a0729e98-e946-4e25-acde-10e8a2294ba1")print(f"{domain.fullyQualifiedName.root}: {domain.domainType}")# Get by ID with fieldsdomain = Domains.retrieve( "a0729e98-e946-4e25-acde-10e8a2294ba1", fields=["owners", "children", "experts"])# Get by fully qualified namedomain = Domains.retrieve_by_name("TestDomain")# Get by name with fieldsdomain = Domains.retrieve_by_name( "TestDomain", fields=["owners", "children", "experts"])
// client is an initialized OpenMetadataClient.var domain = client.domains().get("a0729e98-e946-4e25-acde-10e8a2294ba1");// Get by ID with fieldsvar domainWithFields = client.domains().get( "a0729e98-e946-4e25-acde-10e8a2294ba1", "owners,children,experts");// Get by fully qualified namevar domainByName = client.domains().getByName("TestDomain");// Get by name with fieldsvar domainByNameWithFields = client.domains().getByName( "TestDomain", "owners,children,experts");
# Get by IDcurl "{base_url}/api/v1/domains/a0729e98-e946-4e25-acde-10e8a2294ba1" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/domains/a0729e98-e946-4e25-acde-10e8a2294ba1?fields=owners,children,experts" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/domains/name/TestDomain" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/domains/name/TestDomain?fields=owners,children,experts" \ -H "Authorization: Bearer {access_token}"